获取 SEC 申报文件
curl --request GET \
--url https://api.aisa.one/apis/v1/financial/filings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/financial/filings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/financial/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filings": [
{
"cik": 123,
"accession_number": "<string>",
"filing_type": "<string>",
"report_date": "2023-12-25",
"ticker": "<string>",
"url": "<string>"
}
]
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}SEC 文件
备案文件
获取 SEC 申报文件
GET
https://api.aisa.one/apis/v1/financial
/
filings
获取 SEC 申报文件
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
公司的中央索引键(CIK)。
股票代码。
按一种或多种申报类型筛选。重复使用查询参数可传递多个值(例如 filing_type=10-Q&filing_type=10-K)。
可用选项:
10-K, 10-Q, 8-K, 20-F, 6-K 返回的申报文件最大数量(默认值:10)。
必填范围:
x >= 1响应
SEC 申报文件响应
Show child attributes
Show child attributes
⌘I